OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ConversionBasedUnitAndAreaUnit Class Reference

`#include <StepBasic_ConversionBasedUnitAndAreaUnit.hxx>`

Inheritance diagram for StepBasic_ConversionBasedUnitAndAreaUnit:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_ConversionBasedUnitAndAreaUnit ()
| Returns a ConversionBasedUnitAndAreaUnit .
Standard_EXPORT void | SetAreaUnit (const Handle(StepBasic_AreaUnit)&anAreaUnit)
Standard_EXPORT Handle_StepBasic_AreaUnit | AreaUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_AreaUnit | areaUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ConversionBasedUnitAndAreaUnit::StepBasic_ConversionBasedUnitAndAreaUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_AreaUnit StepBasic_ConversionBasedUnitAndAreaUnit::AreaUnit | ( |  | ) | const

Standard_EXPORT const StepBasic_ConversionBasedUnitAndAreaUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ConversionBasedUnit.

Standard_EXPORT void StepBasic_ConversionBasedUnitAndAreaUnit::SetAreaUnit | ( | const Handle(StepBasic_AreaUnit)& | anAreaUnit | ) |

## Field Documentation

Handle_StepBasic_AreaUnit StepBasic_ConversionBasedUnitAndAreaUnit::areaUnit`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ConversionBasedUnitAndAreaUnit.hxx